# NAME

globus-job-manager-service - Add or remove a job manager service

# SYNOPSIS

globus-job-manager-service -add -s NAME -m TYPE [options]

globus-job-manager-service -remove -s NAME -m TYPE [options]

globus-job-manager-service -help

## OPTIONS

-jobmanager-config | -j FILENAME
  Configure the job manager to look for configuration in FILENAME. Only relevant when adding a job manager service.

-service-directory | -d -DIRECTORY
  Add or remove the job manager service to the named DIRECTORY.

-extra-config | -e -``CONFIG TEXT''
  Additional command line options besides the standard ones to the job manager's configuration. Only relevant when adding a job manager service.

  -item -help | -h

  Display a short usage message.

# DESCRIPTION

Add or remove a Gatekeeper service entry which will invoke the job manager. Must be invoked with a required service name, service type, and one of either -add or -remove.

Adding or removing a Gatekeeper service will affect the Gatekeeper which is using the service directory immediately, there is no need to restart the Gatekeeper.

This script is typically invoked by GRAM Job Manager setup scripts.

# BUGS

If you remove a service entry while a job manager is initializing, it may be unable to read it's configuration information; or it may succeed and continue running after the service is removed.